function [w, loss_history] = train(X, y, mu, num_iters, reg_type, lambda)
% Funkcija vrsi trening modela.
    w = zeros(size(X, 2), 1);
    loss_history = zeros(num_iters, 1);
    [w, loss_history] = gradient_descent(X, y, w, num_iters, mu, reg_type, lambda);
end
